/* $Id: 2wiretest.c,v 1.9 2000/04/11 17:09:41 bodo Exp $ */
/*
    ChipDrive Library
    Copyright (C) 1997-2000  Bodo Bellut <bodo@bellutnet.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "common.h"
#include "util.h"

#ifndef lint
static char vcid[] UNUSED = "$Id: 2wiretest.c,v 1.9 2000/04/11 17:09:41 bodo Exp $";
#endif /* lint */

void main(void)
{
  int fd;
  int retval;
  BYTE *ec;
  BYTE *buf;

  ec = malloc(1*sizeof(BYTE));

  fd = init_tty("/dev/ttyS0");
  retval = two_wire_read_errorcounter(fd, ec);

  if (retval == -ECD_NOCARD) {
    printf("no card\n");
    close_tty(fd);
    free(ec);
    return;
  }

  printf("ec = 0x%.2x\n",
	 ec[0]);
  
  free(ec);
  
#if 1

  buf = malloc(256*sizeof(BYTE));
  
  retval = two_wire_read(fd, 0, 256, buf);

  dump(buf, 0, 0, 256);

#endif

  close_tty(fd);

}
