/* $Id: 3wiretest.c,v 1.7 2000/04/11 17:09:41 bodo Exp $ */
/*
    ChipDrive Library
    Copyright (C) 1997-2000  Bodo Bellut <bodo@bellutnet.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "common.h"
#include "util.h"

#ifndef lint
static char vcid[] UNUSED = "$Id: 3wiretest.c,v 1.7 2000/04/11 17:09:41 bodo Exp $";
#endif /* lint */

void main(void)
{
  int fd;
  int retval;
  BYTE *ec;
  BYTE *buf;

  ec = malloc(1*sizeof(BYTE));

  fd = init_tty("/dev/ttyS0");
  retval = three_wire_read_errorcounter(fd, ec);

  if (retval == -ECD_NOCARD) {
    printf("no card\n");
    free(ec);
    close_tty(fd);
    return;
  }

  printf("ec = 0x%.2x\n", ec[0]);

#if 0
  if (ec[0] < 1) {
    printf("write counter exceeded\n");
    free(ec);
    close_tty(fd);
    return;
  }
  retval = three_wire_enterpin(fd, 0000);
  printf("enterpin: retval=0x%.2x\n", retval);
  retval = three_wire_read_errorcounter(fd, ec);
  printf("enterpin: ec=0x%.2x\n", ec[0]);
#endif
  
#if 1
  buf = malloc(1024*sizeof(BYTE));
  
  retval = three_wire_read(fd, 32, 1021-32, buf);  /* first 32 bytes are */
/*  retval = three_wire_read(fd, 0, 1021, buf); */ /* write protected    */

  dump(buf, 0, 32, 1021-32);

  free(buf);
#endif

  free(ec);
  close_tty(fd);

}
