/* $Id: atrtest.c,v 1.6 2000/04/11 17:09:41 bodo Exp $ */
/*
    ChipDrive Library
    Copyright (C) 1997-2000  Bodo Bellut <bodo@bellutnet.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "common.h"

#ifndef lint
static char vcid[] UNUSED = "$Id: atrtest.c,v 1.6 2000/04/11 17:09:41 bodo Exp $";
#endif /* lint */

void main(void)
{
  int fd;
  int retval;
  BYTE *buf;

  buf = malloc(4*sizeof(BYTE));

  fd = init_tty("/dev/ttyS0");
  retval = atr(fd, buf);

  close_tty(fd);

  if (retval == -ECD_NOCARD) {
    printf("no card\n");
    free(buf);
    return;
  }

  printf("buf = 0x%.2x 0x%.2x 0x%.2x 0x%.2x\n",
	 buf[0], buf[1], buf[2], buf[3]);
  printf("-> protocol = ");
  switch(retval) {
  case CD_PROT_I2C: printf("I2C\n"); break;
  case CD_PROT_2WIRE: printf("2WIRE\n"); break;
  case CD_PROT_3WIRE: printf("3WIRE\n"); break;
  case CD_PROT_UNKNOWN: printf("unknown\n"); break;
  default: printf("0x%.2x (sholdn't happen)\n", retval); break;
  }
  
  free(buf);
}
