/* $Id: teletest.c,v 1.5 2000/04/11 17:09:41 bodo Exp $ */
/*
    ChipDrive Library
    Copyright (C) 1997-2000  Bodo Bellut <bodo@bellutnet.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>

#include "common.h"

#ifndef lint
static char vcid[] UNUSED = "$Id: teletest.c,v 1.5 2000/04/11 17:09:41 bodo Exp $";
#endif

void main(void)
{
  int fd;
  int retval;
  t_tele *tele;

  tele = malloc(sizeof(t_tele));

  fd = init_tty("/dev/ttyS0");
  retval = tele_read(fd, tele);

  close_tty(fd);

  if (retval == -ECD_NOCARD) {
    printf("no card\n");
    free(tele);
    return;
  }

  printf("data:\n");
  printf("Startup      : 0x%.4x\n", tele->startup);
  printf("Hersteller   : %s\n", tele_manfct[tele->manfct]);
  printf("Code         : %s\n", tele_code[tele->code]);
  printf("Datum        : %d.199%d\n", tele->monat, tele->jahr4);
  printf("Seriennummer : %s\n", tele->serNum);
  printf("Restwert     : %d Pf\n", tele->wert);

  free(tele);
}
