/* $Id: util.c,v 1.3 2000/04/11 17:09:41 bodo Exp $ */
/*
    ChipDrive Library
    Copyright (C) 1997-2000  Bodo Bellut <bodo@bellutnet.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include "common.h"

#ifndef lint
static char vcid[] UNUSED = "$Id: util.c,v 1.3 2000/04/11 17:09:41 bodo Exp $";
#endif /* lint */

void dump(const BYTE *buf, int start, int offset, int len)
{
  int i,j;
  int size = len - start;

  printf("data:\n");
  for (j=0; j < (size / 16); j++) {
    printf("%.4x: ", j*16+offset);
    for (i=0; i < 16; i++)
      printf("%.2x ", buf[j*16+i]);
    printf("  ");
    for (i=0; i < 16; i++)
      printf("%c", ((buf[j*16+i] >= ' ') && (buf[j*16+i] <= '~')) ? buf[j*16+i] : '.');
    printf("\n");
  }
  if ((size % 16) != 0) {
    printf("%.4x: ", j*16+offset);
    for (i=0; i < (size % 16); i++)
      printf("%.2x ", buf[j*16+i]);
    printf("           ");
    for (i=0; i < (size % 16); i++)
      printf("%c", ((buf[j*16+i] >= ' ') && (buf[j*16+i] <= '~')) ? buf[j*16+i] : '.');
    printf("\n");
  }
}
